###########################################################################
#
# snmpd.conf
#
#   - created by the snmpconf configuration program
#
###########################################################################
# SECTION: Agent Operating Mode
#
#   This section defines how the agent will operate when it
#   is running.

# master: Should the agent operate as a master agent or not.
#   Currently, the only supported master agent type for this token
#   is "agentx".
#   
#   arguments: (on|yes|agentx|all|off|no)

#master  agentx

# agentuser: The system user that the agent runs as.
#   arguments: name|#uid

agentuser  root

# agentgroup: The system group that the agent runs as.
#   arguments: group|#GID

agentgroup  root

# agentaddress: The IP address and port number that the agent will listen on.
#   By default the agent listens to any and all traffic from any
#   interface on the default SNMP port (161).  This allows you to
#   specify which address, interface, transport type and port(s) that you
#   want the agent to listen on.  Multiple definitions of this token
#   are concatenated together (using ':'s).
#   arguments: [transport:]port[@interface/address],...

agentaddress  udp:161

# 	SNMPv3 Configuration
# 	SNMPv3 requires an SNMP agent to define a unique "engine ID" in order to respond to SNMPv3 requests
# 	This ID will normally be determined automatically, using two reasonably non-predictable values - a
# 	(pseudo-)random number and the current time in seconds. 
# 	We will use this recommended approach and will NOT define it.



###########################################################################
# SECTION: Access Control Setup
#
#   This section defines who is allowed to talk to your running
#   snmp agent.

#
#	SNMPv1/SNMPv2 configuration
#

#   SNMPv1/SNMPv2c read-only access community name
rocommunity public 0.0.0.0

#   SNMPv1/SNMPv2c read-write access community name
rwcommunity private 0.0.0.0

#
#	VACM configuration for v2 communities
#	&
#	SNMPv3 configuration
#

#   create users and password 
# 	   in persist configuration file so it will be encrypted

#   map an SNMPv1 or SNMPv2c community string to a security name
#         sec.name     source        community
com2sec   publicSec    default       public
com2sec   privateSec    default       private


#	maps a security name (in the specified security model) into a named group
#      group.name    sec.model  sec.name
group  publicGroup    v1         publicSec
group  publicGroup    v2c        publicSec
group  privateGroup   v1         privateSec
group  privateGroup   v2c        privateSec
group  adminGroup     usm        admin
group  operatorGroup  usm        oper
group  userGroup      usm        user

#	defines a named "view" - a subset of the overall OID tree. 
#      name           incl/excl   subtree     [mask]
view   adminView      included    .1
view   operatorView   excluded    .1.3.6.1.6.3.15.1.2
view   userView  	  excluded    .1.3.6.1.6.3.15.1.2


#	maps from a group of users/communities  to one of three views, depending on the request being processed
#      group.name      context sec.model sec.level match  read           write          notif
access publicGroup     ""      any       noauth    exact  userView       none           none
access privateGroup    ""      any       noauth    exact  debugView      debugView      none
access adminGroup      ""      usm       priv      exact  adminView      adminView      adminView
access operatorGroup   ""      usm       priv      exact  operatorView   operatorView   operatorView
access userGroup       ""      usm       priv      exact  userView       none           none



###########################################################################
# SECTION: Extending the Agent
#
# You can extend the snmp agent to have it return information
# that you yourself define.

# dlmod: dynamically extend the agent using a shared-object
# arguments: module-name module-path
dlmod ns_mibs /data/net/naamab/dev_table_2/modem/snmp/snmp_so/ns_mibs.so


###########################################################################
# SECTION: Trap Destinations
#

# HOST1 TRAP DEFINITION
# Location for trapsink definition - DO NOT REMOVE THIS LINE

# HOST2 TRAP DEFINITION
# Location for trapsink definition - DO NOT REMOVE THIS LINE

# authtrapenable: Should we send traps when authentication failures occur
# arguments: 1 | 2 (1 = yes, 2 = no)
authtrapenable 1

# linkUpDownNotifications: Should we monitor and send traps when links are up/down
# traps are sent from nsmd upon link up/down events
linkUpDownNotifications no  

###########################################################################
